<div class="ch-post-container">
    <div class="ch-post-background-trans"></div>
    <div class="ch-post-content" *ngIf="entry">
      <div class="row">
        <div class="col col-sm-8">
          <!-- Title -->
          <h5>
            <span>{{entry.title}}</span>
            <div [ngClass]="{
              'important-status': entry.priority == 2,
              'middle-important-status': entry.priority == 1,
              'not-important-status': entry.priority == 0
            }"></div>
          </h5><!-- end Title -->
        </div>
        <div class="col col-sm-4">
          <div class="actions">
            <!-- Edit entry -->
            <button class="btn btn-outline-primary btn-sm pull-right"
                    *ngIf="profile._id == entry.author._id"
                    [routerLink]="['/posts', entry._id, 'edit']"
                    type="button">{{'POST_DETAILS.EDIT_BTN' | translate}}</button><!-- end Edit entry -->
            <!-- Remove entry -->
            <button class="btn btn-outline-danger btn-sm pull-right"
                    *ngIf="profile._id == entry.author._id"
                    (click)="removeEntry(entry)"
                    type="button">{{'POST_DETAILS.REMOVE_BTN' | translate}}</button><!-- end Remove entry -->
          </div>
        </div>
      </div>
      <!-- Post header -->
      <div class="ch-post-header">
        <span id="authorName">
          <i class="fa fa-user" aria-hidden="true"></i>
          <strong>{{entry.author.firstName + ' ' + entry.author.lastName}}</strong>
        </span>
        <span id="dateName">
          <i class="fa fa-calendar" aria-hidden="true"></i>
          <strong>{{entry.updatedAt | date: 'short'}}</strong>
        </span>
        <span id="commentsName">
          <i class="fa fa-comments" aria-hidden="true"></i>
          <a  href="#commentsSection2">
            <!-- pageScroll -->
            <strong>{{entry.comments.length}}</strong> {{'POST_DETAILS.COMMENTS' | translate}}
          </a>
        </span>
      </div><!-- end Post header -->
      <!-- Description -->
      <p>{{entry.description}}</p><!-- end Description -->
      <!-- Post footer -->
      <div class="ch-post-footer">
        <span id="categoryName">
          <i class="fa fa-folder-open" aria-hidden="true"></i>
          <a [routerLink]="['/categories', entry.category._id, 'posts']" href="#">
            <strong>{{entry.category.title}}</strong>
          </a>
        </span>
      </div><!-- end Post footer -->
      <!-- Comments -->
      <div id="commentsSection"
          *ngIf="comments">
        <span id="responsesNumber">{{entry.comments.length}} {{'POST_DETAILS.RESPONSES' | translate | uppercase}}</span>
        <ch-comment [comments]="comments"
                    [entryId]="idParam"
                    [user]="profile"
                    (onCommentSave)="getCommentsOnEvent($event)"></ch-comment>
        <ch-reply [item]="mainItem"
                  [currentItem]="mainItem"
                  [ifMain]="true"
                  [message]="commentMessage"
                  titleForm="POST_DETAILS.LEAVE"
                  (onSubmitClick)="onAddComment($event)"></ch-reply>
      </div><!-- end Comments -->
    </div>
</div>
